package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.biz.dal.entity.ClassGroup;

/**
 * 提高班
 */
public class HighClassGroupDto extends ClassGroup {

	@ApiModelProperty(value = "教师user_id",required = true)
	private Integer userId;

	@ApiModelProperty(value = "教师名字",required = true)
	private String teacherName;

	@ApiModelProperty(value = "星期几",required = true)
	private Integer dayOfWeek;

	@ApiModelProperty(value = "开始时间",required = true)
	private String startClassTime;

	@ApiModelProperty(value = "结束时间",required = true)
	private String endClassTime;

	@ApiModelProperty(value = "开始日期", required = true)
	private String startDate;

	@ApiModelProperty(value = "排课次数", required = true)
	private Integer courseTimes;

	@ApiModelProperty(value = "是否跳过节假日 true-跳过 false-不跳过", required = true)
	private Boolean isHoliday;

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public String getStartClassTime() {
		return startClassTime;
	}

	public void setStartClassTime(String startClassTime) {
		this.startClassTime = startClassTime;
	}

	public String getEndClassTime() {
		return endClassTime;
	}

	public void setEndClassTime(String endClassTime) {
		this.endClassTime = endClassTime;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

	public Integer getDayOfWeek() {
		return dayOfWeek;
	}

	public void setDayOfWeek(Integer dayOfWeek) {
		this.dayOfWeek = dayOfWeek;
	}

	public Integer getCourseTimes() {
		return courseTimes;
	}

	public void setCourseTimes(Integer courseTimes) {
		this.courseTimes = courseTimes;
	}

	public String getStartDate() {
		return startDate;
	}

	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}

	public String getTeacherName() {
		return teacherName;
	}

	public void setTeacherName(String teacherName) {
		this.teacherName = teacherName;
	}

	public Boolean getHoliday() {
		return isHoliday;
	}

	public void setHoliday(Boolean holiday) {
		isHoliday = holiday;
	}
}
